#include <bits/stdc++.h>
using namespace std;
int n, m, k, t, zbir;
int main(){
    cin >> t;
    for(int i=1; i<=t; i++){
        cin >> n >> m >> k;
        if(n%k==0){
            for(int j=1; j<=n/k; j++){
                zbir+=j;
            }
            zbir*=k;
        }
        else{
            for(int j=1; j<=n/k; j++){
                zbir+=j;
            }
            zbir*=k-1;
            for(int j=1; j<=n/k+n%k; j++){
                zbir+=j;
            }
            zbir-=1;
        }
        if(zbir<=m){cout << "TAK" << endl;}
        else{cout << "NIE" << endl;}
    }
    return 0;
}